## org.eclipse.datatools.modelbase.sql.query.impl
Class PredicateBetweenImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.PredicateBetweenImpl

All Implemented Interfaces:
  SearchCondition, Predicate, PredicateBetween, QuerySearchCondition, SQLQueryObject, SQLObject

    public class PredicateBetweenImpl

extends PredicateImpl
implements PredicateBetween

An implementation of the model object 'SQL Predicate Between'.

The following features are implemented:

- `Not Between`
- `Left Value Expr`
- `Right Value Expr1`
- `Right Value Expr2`

Method Summary
`NotificationChain` `basicSetLeftValueExpr(QueryValueExpression newLeftValueExpr, NotificationChain msgs)`
`NotificationChain` `basicSetRightValueExpr1(QueryValueExpression newRightValueExpr1, NotificationChain msgs)`
`NotificationChain` `basicSetRightValueExpr2(QueryValueExpression newRightValueExpr2, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryValueExpression` `getLeftValueExpr()`
`QueryValueExpression` `getRightValueExpr1()`
`QueryValueExpression` `getRightValueExpr2()`
`boolean` `isNotBetween()`
`void` `setLeftValueExpr(QueryValueExpression newLeftValueExpr)`
`void` `setNotBetween(boolean newNotBetween)`
`void` `setRightValueExpr1(QueryValueExpression newRightValueExpr1)`
`void` `setRightValueExpr2(QueryValueExpression newRightValueExpr2)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.PredicateImpl
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QuerySearchConditionImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetDeleteStatement, basicSetNest, basicSetQuerySelectHaving, basicSetQuerySelectWhere, basicSetTableJoined, basicSetUpdateStatement, basicSetValueExprCaseSearchContent, eBasicRemoveFromContainerFeature, getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getSQL, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### isNotBetween

    public boolean isNotBetween()

  Specified by:
    `isNotBetween` in interface `PredicateBetween`
  Returns:
    the value of the 'Not Between' attribute.
  See Also:
    `PredicateBetween.setNotBetween(boolean)`, `SQLQueryModelPackage.getPredicateBetween_NotBetween()`

### setNotBetween

    public void setNotBetween(boolean newNotBetween)

  Specified by:
    `setNotBetween` in interface `PredicateBetween`
  Parameters:
    `newNotBetween` - the new value of the 'Not Between' attribute.
  See Also:
    `PredicateBetween.isNotBetween()`

### getLeftValueExpr

    public QueryValueExpression getLeftValueExpr()

  Specified by:
    `getLeftValueExpr` in interface `PredicateBetween`
  Returns:
    the value of the 'Left Value Expr' containment reference.
  See Also:
    `PredicateBetween.setLeftValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_LeftValueExpr()`, `QueryValueExpression.getBetweenLeft()`

### basicSetLeftValueExpr

    public NotificationChain basicSetLeftValueExpr(QueryValueExpression newLeftValueExpr,
                                                   NotificationChain msgs)

### setLeftValueExpr

    public void setLeftValueExpr(QueryValueExpression newLeftValueExpr)

  Specified by:
    `setLeftValueExpr` in interface `PredicateBetween`
  Parameters:
    `newLeftValueExpr` - the new value of the 'Left Value Expr' containment reference.
  See Also:
    `PredicateBetween.getLeftValueExpr()`

### getRightValueExpr1

    public QueryValueExpression getRightValueExpr1()

  Specified by:
    `getRightValueExpr1` in interface `PredicateBetween`
  Returns:
    the value of the 'Right Value Expr1' containment reference.
  See Also:
    `PredicateBetween.setRightValueExpr1(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_RightValueExpr1()`, `QueryValueExpression.getBetweenRight1()`

### basicSetRightValueExpr1

    public NotificationChain basicSetRightValueExpr1(QueryValueExpression newRightValueExpr1,
                                                     NotificationChain msgs)

### setRightValueExpr1

    public void setRightValueExpr1(QueryValueExpression newRightValueExpr1)

  Specified by:
    `setRightValueExpr1` in interface `PredicateBetween`
  Parameters:
    `newRightValueExpr1` - the new value of the 'Right Value Expr1' containment reference.
  See Also:
    `PredicateBetween.getRightValueExpr1()`

### getRightValueExpr2

    public QueryValueExpression getRightValueExpr2()

  Specified by:
    `getRightValueExpr2` in interface `PredicateBetween`
  Returns:
    the value of the 'Right Value Expr2' containment reference.
  See Also:
    `PredicateBetween.setRightValueExpr2(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateBetween_RightValueExpr2()`, `QueryValueExpression.getBetweenRight2()`

### basicSetRightValueExpr2

    public NotificationChain basicSetRightValueExpr2(QueryValueExpression newRightValueExpr2,
                                                     NotificationChain msgs)

### setRightValueExpr2

    public void setRightValueExpr2(QueryValueExpression newRightValueExpr2)

  Specified by:
    `setRightValueExpr2` in interface `PredicateBetween`
  Parameters:
    `newRightValueExpr2` - the new value of the 'Right Value Expr2' containment reference.
  See Also:
    `PredicateBetween.getRightValueExpr2()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QuerySearchConditionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QuerySearchConditionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `PredicateImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `PredicateImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `PredicateImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `PredicateImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PredicateImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.